Description

Supportanfrage

We are using ADTF file library for processing the dat file data, we would want to extract the video frames out of the dat file. Could

you please provide us sample code on how to extract the video frames. (previously we used ADTF streaming library which had

example of Video Decompression for frames extraction, do we have something similar for ADTF File library)

Lösung

the Video Compression TB is EOL and it was declined to migrate to ADTF 3.x universe.

That's why the source code is available as each declined:

https://support.digitalwerk.net/adtf/v3/keytopics/index.html

We are working on a new solution based on GStreamer but it's not clear if it will be part of common delivery, seperate or open

source... will be discussed soon.

You find the prototype here:

https://git.digitalwerk.net/adtf3_open_source/adtf3_video_toolbox

Anyway... that's all different to your use case.

1. Will there be no Video decompression support for ADTF File library going ahead ? If there will be a support then when do we

expect it to be released ?

No, because the IFHD does not know ANYTHING about video, compression or anything.

But you can extend the reader by own adtffileplugins.

There is a deserialzer to support compressed videos from ADTF 2.x you find in the ADTF delivery:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_adtf2_compressed_video_deserializer.html

That's it!

This make it possible to handle compressed video data witin IFHD.

2. Video blocks can be identified from the stream type "adtf/image", but can they be saved jpgs or pngs files out of the recorded

video stream ?

Yes, we sharing a guide for a processor to export images from (uncompressed) video stream:

https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html
- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to FileLibrary::DatProcessing

- Affected Products ADTF File Library 0.6.1 (BETA) added

Hello Mahesh,

no, unfortunately there is no example for this use-case available for the File library.

One of the problems is that there is no Video Decompression TB for ADTF 3.x and so there is no given Video decompression code for the File library.

You can see the existing File Library Examples here

You will have to re-write your Code from the Streaming library for the File library.

Uncompressed Videos will be possible. For this you have to create an "adtf/image" Stream Type give the images as samples to the writer.

As basis/example you can have a look to the "CAN Writer" example in the ADTF File Library. What has to be set in the stream type can be obtained

from the implementation of the class AdtfCoreMediaTypeVideoSerializer.

I hope this will help you.

#2 - 2020-04-28 08:14 - hidden

- Status changed from In Progress to Customer Feedback Required

#3 - 2020-04-28 09:15 - hidden

Hi Matthias,

I have started looking into CAN writer example code. I have a few questions:

1. Will there be no Video decompression support for ADTF File library going ahead ? If there will be a support then when do we expect it to be

released ?

2. Video blocks can be identified from the stream type "adtf/image", but can they be saved jpgs or pngs files out of the recorded video stream ?

Thanks,

Mahesh

#4 - 2020-04-28 10:39 - hidden

- Status changed from Customer Feedback Required to In Progress

Hello Mahesh,

the Video (de)compression support depends on the ADTF Video Compression Toolbox.

Unfortunately the ADTF Video Compression Toolbox was (also on repeated resubmission in the customer forum) unanimously rejected by the ADTF

Customer Forum for ADTF 3.x.

Please also see our Key Topics about this:

https://support.digitalwerk.net/adtf/v3/keytopics/changes_to_adtf2.html

@Flo: Can you please take a look about the 2. question?

#6 - 2020-04-30 09:28 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Mahesh,

as Matthias already said, the Video Compression TB is EOL and it was declined to migrate to ADTF 3.x universe.

That's why the source code is available as each declined:

https://support.digitalwerk.net/adtf/v3/keytopics/index.html

We are working on a new solution based on GStreamer but it's not clear if it will be part of common delivery, seperate or open source... will be

discussed soon.

You find the prototype here:

https://git.digitalwerk.net/adtf3_open_source/adtf3_video_toolbox

Anyway... that's all different to your use case.

1. Will there be no Video decompression support for ADTF File library going ahead ? If there will be a support then when do we expect it to be

released ?

No, because the IFHD does not know ANYTHING about video, compression or anything.
But you can extend the reader by own adtffileplugins.

There is a deserialzer to support compressed videos from ADTF 2.x you find in the ADTF delivery:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_adtf2_compressed_video_deserializer.html

That's it!

This make it possible to handle compressed video data witin IFHD.

2. Video blocks can be identified from the stream type "adtf/image", but can they be saved jpgs or pngs files out of the recorded video stream ?

Yes, we sharing a guide for a processor to export images from (uncompressed) video stream:

https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html

#7 - 2020-05-06 09:25 - hidden

Hello Mahesh,

we haven't got any feedback yet.

Can we close the ticket?

Please give feedback until the 08. May

#8 - 2020-05-06 18:02 - hidden

Hi Matthias,

Sorry, I didn't reply back. For now you can close the task. Incase of queries on Video frames extraction, will contact back.

Please close the ticket.

#9 - 2020-05-07 11:48 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#11 - 2020-07-07 16:17 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

#12 - 2020-07-07 16:41 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-05-06 3/3

https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_adtf2_compressed_video_deserializer.html
https://support.digitalwerk.net/adtf/v3/guides/tutorial_dat_tool_processor.html
http://www.tcpdf.org

